/*
 * \file EnumDefinitions.cpp:
 * \brief: enum functions for our objects
 */

#include "./EnumDefinitions.h"

/*objects: */
int NodeEnum(void){                     return           1; }
int SpcEnum(void){                      return           4; }
int ParamEnum(void){                    return           5; }
int RgbEnum(void){                      return           6; }



/*analysis types: */
int StructuralAnalysisEnum(void){       return          20; }
int ThermalAnalysisEnum(void){          return          21; }
int ControlAnalysisEnum(void){          return          22; }
int DiagnosticHorizAnalysisEnum(void){  return          23; }
int DiagnosticVertAnalysisEnum(void){   return          24; }
int DiagnosticBaseVertAnalysisEnum(void){ return        25; }
int PrognosticAnalysisEnum(void){       return          26; }
int ThermalSteadyAnalysisEnum(void)	{   return          27; }
int ThermalTransientAnalysisEnum(void){ return          28; }
int MeltingAnalysisEnum(void){          return          29; }
int DiagnosticStokesAnalysisEnum(void){ return          30; }

/*datasets: */
int ElementsEnum(void){                 return          40; }
int NodesEnum(void){                    return          41; }
int ConstraintsEnum(void){              return          42; }
int LoadsEnum(void){                    return          43; }
int MaterialsEnum(void){                return          44; }
int ParametersEnum(void){               return          45; }


/*Elements: */
int ElementEnum(void){                  return         100; }
int TriaEnum(void){                     return         101; }
int PentaEnum(void){                    return         102; }

/*Loads: */
int LoadEnum(void){                     return         200; }
int IcefrontEnum(void){                 return         201; }
int PenpairEnum(void){                  return         202; }

/*Materials: */
int MaterialEnum(void){                 return         300; }
int MaticeEnum(void){                   return         301; }
int MatparEnum(void){                   return         302; }

/*formulations: */
int NoneEnum(void){                     return           0; }
int HutterEnum(void){                   return           1; }
int MacAyealEnum(void){                 return           2; }
int PattynEnum(void){                   return           3; }
int StokesEnum(void){                   return           4; }


/*functions on enums: */
int EnumIsElement(int en){
	if ((en>=100) && (en<=110))return 1;
	else return 0;
}

int EnumIsLoad(int en){
	if ((en>=200) && (en<=210))return 1;
	else return 0;
}
int EnumIsMaterial(int en){
	if ((en>=300) && (en<=310))return 1;
	else return 0;
}


